RagTime5StyleManager::TextStyle Struct Reference documentation

RagTime5StyleManager::TextStyle Struct Reference

the text style of a RagTime v5-v6 document More...

`#include <RagTime5StyleManager.hxx>`

## Public Member Functions
| TextStyle ()
| constructor
virtual | ~TextStyle ()
| destructor
bool | isDefault () const
| returns true if the line style is default
void | insert (TextStyle const &childStyle)
| update the current style
bool | read (RagTime5StructManager::Field const &field)
| try to read a text style
| TextStyle (TextStyle const &)=default
| TextStyle (TextStyle &&)=default
TextStyle & | operator= (TextStyle const &)=default
TextStyle & | operator= (TextStyle &&)=default

## Static Public Member Functions
static std::string | getLanguageLocale (int id)
| returns the language locale name corresponding to an id ( if known)

## Public Attributes
int | m_parentId [2]
| the parent id ( main and style ?)
std::vector< int > | m_linkIdList
| the link id list
int | m_dateStyleId
| the date style id
int | m_graphStyleId
| the graphic style id
int | m_graphLineStyleId
| the graphic line style id
MWAWVariable< bool > | m_keepWithNext
| the keep with next flag
int | m_justify
| justify 0: left, 1:center, 2:right, 3:full, 4:full all
double | m_spacings [3]
| the interline/before/after value
int | m_spacingUnits [3]
| the interline/before/after unit 0: line, 1:point
int | m_breakMethod
| the break method 0: asIs, next container, next page, next even page, next odd page
double | m_margins [3]
| the spacings in point ( left, right, first)
std::vector< RagTime5StructManager::TabStop > | m_tabList
| the tabulations
librevenge::RVNGString | m_fontName
| the font name
int | m_fontId
| the font id
float | m_fontSize
| the font size
uint32_t | m_fontFlags [2]
| the font flags (add and remove )
MWAWVariable< float > | m_scriptPosition
| the font script position ( in percent)
float | m_fontScaling
| the font script position ( in percent)
int | m_underline
| underline : none, single, double
int | m_caps
| caps : none, all caps, lower caps, inital caps + other lowers
int | m_language
| the language
double | m_letterSpacings [4]
| the spacings in percent ( normal, minimum, maximum)
double | m_widthStreching
| the width streching
int | m_numColumns
| the number of columns
double | m_columnGap
| the gap between columns
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, RagTime5StyleManager::TextStyle const &style)
| operator<<

## Detailed Description

the text style of a RagTime v5-v6 document

## Constructor & Destructor Documentation

## ◆ TextStyle() [1/3]

RagTime5StyleManager::TextStyle::TextStyle | ( |  | ) |
| inline

constructor

Referenced by operator=(), operator=(), TextStyle(), and TextStyle().

## ◆ ~TextStyle()

RagTime5StyleManager::TextStyle::~TextStyle | ( |  | ) |
| virtual

destructor

## ◆ TextStyle() [2/3]

RagTime5StyleManager::TextStyle::TextStyle | ( | TextStyle const & |  | ) |
| default

## ◆ TextStyle() [3/3]

RagTime5StyleManager::TextStyle::TextStyle | ( | TextStyle && |  | ) |
| default

## Member Function Documentation

## ◆ getLanguageLocale()

std::string RagTime5StyleManager::TextStyle::getLanguageLocale | ( | int | id | ) |
| static

returns the language locale name corresponding to an id ( if known)

Referenced by operator<<, and RagTime5StyleManager::updateTextStyles().

## ◆ insert()

void RagTime5StyleManager::TextStyle::insert | ( | RagTime5StyleManager::TextStyle const & | child | ) |

update the current style

## ◆ isDefault()

bool RagTime5StyleManager::TextStyle::isDefault | ( |  | ) | const
| inline

returns true if the line style is default

## ◆ operator=() [1/2]

TextStyle & RagTime5StyleManager::TextStyle::operator= | ( | TextStyle && |  | ) |
| default

## ◆ operator=() [2/2]

TextStyle & RagTime5StyleManager::TextStyle::operator= | ( | TextStyle const & |  | ) |
| default

## ◆ read()

bool RagTime5StyleManager::TextStyle::read | ( | RagTime5StructManager::Field const & | field | ) |

try to read a text style

Referenced by RagTime5StyleManagerInternal::TextFieldParser::parseField().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | RagTime5StyleManager::TextStyle const & | style )
| friend

operator<<

## Member Data Documentation

## ◆ m_breakMethod

int RagTime5StyleManager::TextStyle::m_breakMethod

the break method 0: asIs, next container, next page, next even page, next odd page

Referenced by insert(), isDefault(), operator<<, read(), and TextStyle().

## ◆ m_caps

int RagTime5StyleManager::TextStyle::m_caps

caps : none, all caps, lower caps, inital caps + other lowers

Referenced by insert(), isDefault(), operator<<, read(), and TextStyle().

## ◆ m_columnGap

double RagTime5StyleManager::TextStyle::m_columnGap

the gap between columns

Referenced by insert(), isDefault(), operator<<, read(), and TextStyle().

## ◆ m_dateStyleId

int RagTime5StyleManager::TextStyle::m_dateStyleId

the date style id

Referenced by insert(), isDefault(), operator<<, read(), and TextStyle().

## ◆ m_extra

std::string RagTime5StyleManager::TextStyle::m_extra

extra data

Referenced by isDefault(), operator<<, read(), and TextStyle().

## ◆ m_fontFlags

uint32_t RagTime5StyleManager::TextStyle::m_fontFlags[2]

the font flags (add and remove )

Referenced by insert(), isDefault(), operator<<, read(), TextStyle(), and RagTime5StyleManager::updateTextStyles().

## ◆ m_fontId

int RagTime5StyleManager::TextStyle::m_fontId

the font id

Referenced by insert(), isDefault(), operator<<, read(), RagTime5StyleManager::readTextStyles(), and TextStyle().

## ◆ m_fontName

librevenge::RVNGString RagTime5StyleManager::TextStyle::m_fontName

the font name

Referenced by insert(), isDefault(), operator<<, read(), RagTime5StyleManager::readTextStyles(), and TextStyle().

## ◆ m_fontScaling

float RagTime5StyleManager::TextStyle::m_fontScaling

the font script position ( in percent)

Referenced by insert(), isDefault(), operator<<, read(), and TextStyle().

## ◆ m_fontSize

float RagTime5StyleManager::TextStyle::m_fontSize

the font size

Referenced by insert(), isDefault(), operator<<, read(), and TextStyle().

## ◆ m_graphLineStyleId

int RagTime5StyleManager::TextStyle::m_graphLineStyleId

the graphic line style id

Referenced by insert(), isDefault(), operator<<, read(), and TextStyle().

## ◆ m_graphStyleId

int RagTime5StyleManager::TextStyle::m_graphStyleId

the graphic style id

Referenced by insert(), isDefault(), operator<<, read(), and TextStyle().

## ◆ m_justify

int RagTime5StyleManager::TextStyle::m_justify

justify 0: left, 1:center, 2:right, 3:full, 4:full all

Referenced by insert(), isDefault(), operator<<, read(), and TextStyle().

## ◆ m_keepWithNext

MWAWVariable<bool> RagTime5StyleManager::TextStyle::m_keepWithNext

the keep with next flag

Referenced by insert(), isDefault(), operator<<, read(), and TextStyle().

## ◆ m_language

int RagTime5StyleManager::TextStyle::m_language

the language

Referenced by insert(), isDefault(), operator<<, read(), and TextStyle().

## ◆ m_letterSpacings

double RagTime5StyleManager::TextStyle::m_letterSpacings[4]

the spacings in percent ( normal, minimum, maximum)

Referenced by insert(), isDefault(), operator<<, read(), and TextStyle().

## ◆ m_linkIdList

std::vector<int> RagTime5StyleManager::TextStyle::m_linkIdList

the link id list

Referenced by insert(), isDefault(), operator<<, read(), and TextStyle().

## ◆ m_margins

double RagTime5StyleManager::TextStyle::m_margins[3]

the spacings in point ( left, right, first)

Referenced by insert(), isDefault(), operator<<, read(), and TextStyle().

## ◆ m_numColumns

int RagTime5StyleManager::TextStyle::m_numColumns

the number of columns

Referenced by insert(), isDefault(), operator<<, read(), and TextStyle().

## ◆ m_parentId

int RagTime5StyleManager::TextStyle::m_parentId[2]

the parent id ( main and style ?)

Referenced by isDefault(), operator<<, read(), RagTime5StyleManager::readTextStyles(), and TextStyle().

## ◆ m_scriptPosition

MWAWVariable<float> RagTime5StyleManager::TextStyle::m_scriptPosition

the font script position ( in percent)

Referenced by insert(), isDefault(), operator<<, read(), and TextStyle().

## ◆ m_spacings

double RagTime5StyleManager::TextStyle::m_spacings[3]

the interline/before/after value

Referenced by insert(), isDefault(), operator<<, read(), and TextStyle().

## ◆ m_spacingUnits

int RagTime5StyleManager::TextStyle::m_spacingUnits[3]

the interline/before/after unit 0: line, 1:point

Referenced by insert(), isDefault(), operator<<, read(), and TextStyle().

## ◆ m_tabList

std::vector<RagTime5StructManager::TabStop> RagTime5StyleManager::TextStyle::m_tabList

the tabulations

Referenced by insert(), isDefault(), operator<<, read(), and TextStyle().

## ◆ m_underline

int RagTime5StyleManager::TextStyle::m_underline

underline : none, single, double

Referenced by insert(), isDefault(), operator<<, read(), and TextStyle().

## ◆ m_widthStreching

double RagTime5StyleManager::TextStyle::m_widthStreching

the width streching

Referenced by insert(), isDefault(), operator<<, read(), and TextStyle().

The documentation for this struct was generated from the following files:

- RagTime5StyleManager.hxx
- RagTime5StyleManager.cxx